﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;
using Sirenix.OdinInspector;

namespace KairoEngine
{
    public class BehaviorDebugerDataUi : MonoBehaviour
    {
        public TextMeshProUGUI label;
        public TextMeshProUGUI value;

        public void Setup(string label, string value, Color color)
        {
            this.label.text = label;
            this.value.text = "<color=#" + ColorUtility.ToHtmlStringRGB(color) + ">" + value + "</color>";
        }
    }
}