﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using NodeCanvas.Framework;
using ParadoxNotion.Design;

namespace KairoEngine
{
    [Category("KairoEngine")]
    public class VariableIsNullTaskCondition<T> : ConditionTask
    {
        public BBParameter<T> variable;

        protected override string info {
            get { return variable + " == NULL"; }
        }

        protected override bool OnCheck()
        {
            if(variable.value == null) return true;
            else return false;
        }
    }
}


