﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KairoEngine.CharacterSystem
{
    public class RegisterEvents
    {
        public static event System.Action<CharacterController> OnRegisterCharacter;

        public static void RegisterCharacter(CharacterController character)
        {
            if(OnRegisterCharacter != null)
            {
                OnRegisterCharacter(character);
            }
        }
    }
}