﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.CharacterSystem
{
    public enum ModelType
    {
        MaleBody,
        FemaleBody
    }

    [CreateAssetMenu(fileName = "ModelData", menuName = "KairoEngine/ModelData", order = 6)]
    public class ModelData : SerializedScriptableObject
    {
        public ModelType modelType;
        public Mesh mesh;
        public List<Material> materials;

        public string skinRig = "Rig 1";
    }
}
