﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    public class CharacterRelaxIdleAction : IAction
    {
        CharacterController character;

        // Constructor
        public CharacterRelaxIdleAction(CharacterController character)
        {
            this.character = character;
        }

        public void Start()
        {
            character.animator.SetInteger("Mode", 3);
        }

        public void Update()
        {

        }

        public void End() 
        { 
            character.animator.SetInteger("Mode", 0);
        }

        public bool IsDone()
        {
            return false;
        }
    }
}