﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using NodeCanvas.Framework;
using ParadoxNotion.Design;
using KairoEngine.Core;
using KairoEngine.Inventory;

namespace KairoEngine.CharacterSystem
{
    [Category("KairoEngine")]
    public class CharacterEquipWeaponTaskAction : ActionTask
    {
        [BlackboardOnly, RequiredField] public BBParameter<CharacterController> character;
        [BlackboardOnly, RequiredField] public BBParameter<ItemRef> itemRef;
        protected override void OnExecute()
        {
            ICommand command = new EquipItemCommand(itemRef.value, character.value);
            CommandInvoker.AddCommand(command);
            EndAction(true);
        }
    }
}


