﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using NodeCanvas.Framework;
using ParadoxNotion.Design;
using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    [Category("KairoEngine")]
    public class CharacterIdleTaskAction : ActionTask
    {
        [BlackboardOnly, RequiredField] public BBParameter<CharacterController> character;
        protected override void OnExecute()
        {
            ICommand cancelCommand = new CancelAtionsCommand(character.value);
            CommandInvoker.AddCommand(cancelCommand);
            EndAction(true);
        }
    }
}


