﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KairoEngine.CharacterSystem
{
    public class HandWeapon : MonoBehaviour
    {
        public GameObject particleSystemGroup;

        public Collider weaponCollider;
        public Collider damageTrigger;

        void OnStart()
        {
            damageTrigger.enabled = false;
            DamageEmitter damageEmitter = gameObject.GetComponent<DamageEmitter>();
            if(damageEmitter != null) damageEmitter.enabled = false;
        }
    }
}

