﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;
using KairoEngine.Inventory;

namespace KairoEngine.CharacterSystem
{
    public class DropItemCommand : ICommand
    {
        ItemRef itemRef;
        ItemContainer itemContainer;

        public DropItemCommand(ItemContainer itemContainer, ItemRef itemRef)
        {
            this.itemContainer = itemContainer;
            this.itemRef = itemRef;
        }

        public void Execute()
        {
            DropItemAction action = new DropItemAction(itemContainer, itemRef);
            ActionController actionController = itemContainer.GetComponent<ActionController>();
            actionController.AddAction(action);
            if(actionController.HasAction(action) == false)
            {
                
            }
        }
    }
}