﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.CharacterSystem
{
    [System.Serializable]
    public class DataScene
    {
        public string locationName;

        public List<DataWorldItem> worldItemsData = new List<DataWorldItem>();

        [InlineEditor(InlineEditorObjectFieldModes.Foldout)]
        public List<CharacterData> characterDataList = new List<CharacterData>();

        public List<DataWorldItemContainer> itemContainersData = new List<DataWorldItemContainer>();

        public int visited = 0;

        public bool proceduralMapBuild = false;
        public int proceduralMapSeed = 0;

    }
}