﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KairoEngine
{
    [System.Serializable]
    public class DataWorldItem
    {
        public string name;
        public int quantity = 1;
        public Vector3 position;
        public Quaternion rotation;
        public string ammoName;
        public int ammo;
        public float lastUsed;

        public DataWorldItem(string name, int quantity, Vector3 pos, Quaternion rotation, string ammoName, int ammo, float lastUsed)
        {
            this.name = name;
            this.quantity = quantity;
            this.position = pos;
            this.rotation = rotation;
            this.ammoName = ammoName;
            this.ammo = ammo;
            this.lastUsed = lastUsed;

        }
    }
}