﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Inventory;

namespace KairoEngine.CharacterSystem
{
    [System.Serializable]
    public class DataWorldItemContainer
    {
        public string containerName;
        public List<ItemRef> items = new List<ItemRef>();

        public DataWorldItemContainer(string name, List<ItemRef> items)
        {
            this.containerName = name;
            this.items = items;
        }
    }
}

